import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "Chile Cultura";

export const handler: Handler = new Portal(
  name,
  config.MASTODON_KEY_CHILECULTURA,
  {
    url: config.CHILECULTURA,
    articlesSelector: "section.section-base-subsection#this_week_events .card-event, section.section-base-subsection#next_week_events .card-event",
    titleSelector: "div.card-body a",
    linkSelector: "div.card-body a",
    imageSelector: "img.card-img",
    imagePrefix: "https://chilecultura.gob.cl",
    contentSelector: "p.card-discipline, p.card-description-icon",
    linkPrefix: "https://chilecultura.gob.cl",
    scraperMethod: ScraperMethods.AXIOS,
    cacheExpiration: 60 * 60 * 24 * 7, // 7 días
    hashtags: ["ChileCultura", "Cartelera", "Panoramas", "Cultura", "Chile"]
  }
).getHandler();
