import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "El Mostrado";

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_ELMOSTRADOR,
  {
    url: config.ELMOSTRADOR,
    articlesSelector: "div.d-section__body div.d-tag-card",
    titleSelector: "h4",
    linkSelector: "h4 a",
    scraperMethod: ScraperMethods.AXIOS,
    hashtags: ["ElMostrador", "Noticias"]
  }
).getHandler();
