import { type Handler } from "aws-lambda";

import config from "../../config";
import Portal from "../portal";
import ScraperMethods from "../../enums/scraper-methods";

const name = "Interferencia";

export const handler: Handler = new Portal(
  name, 
  config.MASTODON_KEY_INTERFERENCIA,
  {
    url: config.INTERFERENCIA,
    articlesSelector: "div.row.container:eq(6) div.row div.col-md-4, div.row.container:eq(6) div.row div.col-md-6, div.row.container:eq(6) div.row div.col-md-8",
    titleSelector: "div.views-field-title",
    contentSelector: "div.views-field-field-subhead div.field-content p",
    linkSelector: "div.views-field-title a",
    linkPrefix: "https://interferencia.cl",
    scraperMethod: ScraperMethods.AXIOS,
    cacheExpiration: 60 * 60 * 24 * 7, // 7 días
    hashtags: ["Interferencia", "Noticias"]
  }
).getHandler();
